Piloterr

Google Locations Finder

Search Google-supported locations by name to retrieve location IDs and GPS coordinates for geo-targeted search API calls.

GET
/v2/finder/google-locations

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Restricts your search to locations that contain the supplied string.

Example:

Paris

Note: Searching 'Austin' will find 'Austin, TX', 'The University of Texas at Austin', 'Rochester, MN-Mason City, IA-Austin, MN, United States', etc.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/finder/google-locations?query=string"
[
  {
    "id": "585069a2ee19ad271e9b5052",
    "google_id": 1001982,
    "google_parent_id": 20115,
    "name": "Austin",
    "canonical_name": "Austin,Manitoba,Canada",
    "country_code": "CA",
    "target_type": "City",
    "reach": 0,
    "gps": [
      -98.936927,
      49.951529
    ]
  }
]
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}